#	$Id: INSTALL.INL,v 1.3 2000/02/25 03:11:43 cameron Exp $	
Instructions for installing the Vanilla Netrek Server as an INL Server

Summary
-------

	0)  choose a place to put the server (e.g. /usr/local/games/netrek)
	1)  change PKEY in ntserv/defs.h if you have a pickup server too
	2)  enable LTD_STATS and LTD_PER_RACE in config.h.in
	3)  type "./configure --prefix=dir" where dir is from step 0
	4)  type "make install"
	5)  "cd /usr/local/games/netrek" (or whatever dir was)
	6)  "vi .sysdef" and set INL=1
	7)  ensure no conflict in .ports with your pickup server if any
	8)  "./netrekd" to start the server
	9)  use a client to connect to the server on port 4566/4577

Details
-------

See INSTALL for a complete description.  This file describes only the stuff
peculiar to installing the INL Server mode.

0) Don't use the same directory as an existing pickup server.

1) Changing PKEY in ntserv/defs.h is mandatory if you have a pickup
server, otherwise the two servers will occupy the same universe, with
unexpected results.  The default is 128.  Typically incrementing it
will work fine.

2) Enabling LTD_STATS and LTD_PER_RACE in config.h.in before doing the
configure script ensures that the end of game statistics report works.

3) No comment.

4) No comment.

5) No comment.

6) Setting INL=1 in .sysdef enables the INL robot mode of the server,
starting the INL robot as soon as the first player joins.  Without it,
the 4566/4577 ports will not be opened.

7) If you have a pickup server, you must be sure to remove all the INL
ports from the .ports file in the pickup server's directory, and
restart newstartd if you made a material change.  You must also remove
the pickup and player list ports from the .ports file of the INL
server.  If you don't do this, the symptom is a failure of the netrekd
process to get going.

8) Yes, you end up with two netrekd processes on your system if you
have a pickup server.  As of 2.9pl0, netrekd wrote its process id into
the server directory as .netrekd.pid, so determining which is which
should not be a problem.

9) On slow systems, a second client connection may be required.  This
may be a race condition between the startup of the client and the
server startup and subsequent opening of the queues by the INL robot.
The symptom is a "Sorry, but you cannot play Xtrek right now" or
similar.

For assistance, write to vanilla-list@us.netrek.org
